﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGScrollIntoViewDemo
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i<500; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    Label = "Label " + i.ToString(),
                    Number1 = r.Next(100),
                    Number2 = r.Next(100)
                });
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Label { get; set; }
        public int Number1 { get; set; }
        public int Number2 { get; set; }
    }
}
